Subject: Re: bug#5829: 23.1.94; variable `hfy-rgb-load-path' in lisp/hfy-cmap.el missing "etc/rgb.txt"

From: MON KEY <[email-masked]>
Date: Sat, 3 Apr 2010 15:41:16 -0400

On Sat, Apr 3, 2010 at 1:41 PM, Jason Rumney <[email-masked]> wrote:
>
> Why does hfy-cmap need to use rbg.txt instead of color-name-rgb-alist?
>

Indeed. I don't disagree.
There is also that nice big list of rgb values in :FILE src/w32fns.c

Maybe a better question is to ask why:

(length color-name-rgb-alist)
 ;=>657

(length hfy-fallback-colour-map)
 ;=>752

(length w32-color-map)
 ;=> 783

(assoc-string "deepskyblue" color-name-rgb-alist)
 ;=> ("deepskyblue" 0 49087 65535)

(assoc-string "deep sky blue" color-name-rgb-alist)
 ;=> nil

(assoc-string "deepskyblue" hfy-fallback-colour-map)
 ;=> nil

(assoc-string "deep sky blue" hfy-fallback-colour-map)
 ;=> ("deep sky blue" 0 49087 65535)

(assoc-string "deepskyblue" w32-color-map)
 ;=>nil

(assoc-string "deep sky blue" w32-color-map)
;=> ("deep sky blue" . 16760576)

(xw-color-values "deep sky blue")
;=> (0 49087 65535)

(xw-color-values "deep sky blue")
;=> (0 49087 65535)

FWIW I have no opinion whatsoever as to whether this is good or bad w/re to
hfy-cmap/htmlfontify.el/W32 compatibility.

I do however find it frustrating that there are so may _different_ disparate
`color specs' (re)provided throughout various Emacs packages (as distributed and
otherwise) -- i don't believe this is necessarily a W32 specific problem.
I'm sure we're all guilty of duplicating pre-existing code already provided, but
this one just seems to continually resurface. Come to think of it hasn't color
spec code duplication been discussed recently on emacs-devel?

/s_P\